
QGIS Application - Bug report #19002

Data Source Manager: Switch "Close" and "Add" buttons

2018-05-22 04:46 PM - mr twister

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 26833

Description

In most dialogs a button with an "positive" action like save/accept/OK/open appears on the left side of a button row, and "negative" actions

like discharge/cancel/decline/close are arranged right. 

In QGIS' "Data Source Manager" dialog the "Close" button is arranged left and the "Add" button is arranged right (centered). Intuitively I

would expect the "Add" button on the left side, which makes me clicking "Close" instead of adding a new layer. Therefore I would suggest

to switch the "Add" and the "Close button's position.

datasrcmngr_buttons.png

Related issues:

Duplicates QGIS Application - Feature request # 18466: Look and feel - Switch... Open 2018-03-16

History

#1 - 2018-06-08 11:18 PM - Harrissou Santanna

- Duplicates Feature request #18466: Look and feel - Switch Add - Close button added

#2 - 2018-06-08 11:19 PM - Harrissou Santanna

- Resolution set to duplicate

- Status changed from Open to Closed
